Subject: bug#52973: Adding a few context-menu-mode commands

From: Philip Kaludercic <[email-masked]>
Date: Fri, 07 Jan 2022 08:29:20 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Juri Linkov <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 06 Jan 2022 22:35:57 +0200
>> 
>> >> Thanks, everything looks consistent.  If no one will have more comments
>> >> during the next few days, it seems safe to assume it's ok to push.
>> >
>> > Yeah, feel free to push and disregard everything I said about this
>> > arrangement of context menus not making sense.
>> 
>> The patches from Philip just add new functions.
>> Whether to include them in the default value
>> of the context function is a separate discussion.
>
> How does it make sense to add functions that aren't used?
>
> Lars, what is your opinion about these issues?  Am I the only one who
> thinks that context-menu-mode should automatically activate context
> menus in every mode that has support for it?

Unless I have missed it, do mean that all context menus should be loaded
by default (auto loading all *-context-menu functions and adding all of
them to the default value value of context-menu-functions), or that each
context menu definition should be accompanied by a add-to-list on
context-menu-functions?

-- 
	Philip Kaludercic
n